summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-01-11 17:17:01 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-01-11 18:14:22 +0100
commit85faab2e366afa6293f3c9781866f04631fc6213 (patch)
tree38279f6f2d8718267d122dfac04798f46f87232c /kde-apps/kcontacts
parentprofiles/package.mask: remove obsolete media-radio/wspr entry (diff)
downloadgentoo-85faab2e366afa6293f3c9781866f04631fc6213.tar.gz
gentoo-85faab2e366afa6293f3c9781866f04631fc6213.tar.bz2
gentoo-85faab2e366afa6293f3c9781866f04631fc6213.zip
kde-apps: Add KDE Applications 17.12.1
Package-Manager: Portage-2.3.13, Repoman-2.3.4
Diffstat (limited to 'kde-apps/kcontacts')
-rw-r--r--kde-apps/kcontacts/Manifest1
-rw-r--r--kde-apps/kcontacts/kcontacts-17.12.1.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/kde-apps/kcontacts/Manifest b/kde-apps/kcontacts/Manifest
index a9c06c54c17..824723ab1e0 100644
--- a/kde-apps/kcontacts/Manifest
+++ b/kde-apps/kcontacts/Manifest
@@ -1,2 +1,3 @@
DIST kcontacts-17.08.3.tar.xz 207344 BLAKE2B 3b59cacc2e76e113b5b6f164ef61f9de0d8960702d0a8ee1db38af5cf01155338a626bcbf47a4d67d5e8a4ddd359d71d94634d2338c0c44cbc53631a84678bf5 SHA512 ca33eb9c130c947ae9347c02093c380f1dee4bb813406d5f2849eecd52b21e78d259085bddf8d2a0e00519b479c3c9afe3e7730f5a7a9da639b0c01308b48487
DIST kcontacts-17.12.0.tar.xz 207048 BLAKE2B cca82f74bbee4f6eba47bbd33ed84f321392ad4c70a37c1357aed96e05d898949b0c38829e5e73d3d1a383e6f6b88d316ddb9366b639197d41381ada85e73a43 SHA512 8edae517327f8d77fc699f500cf8e63d05dd0e5d5a27f704ebedaa029dc9f91b01d36c773aee77e16d1ea104fdc788bb5ef714254dddb26d6cf423feff635597
+DIST kcontacts-17.12.1.tar.xz 207048 BLAKE2B 65028f13eaa4cff28836fdd4bae141b4058fefd9ac5083946ff24e00f1cd9f062c59021466f237db6468977c7ef43b0b2ebc690bf42f4531ad92208bf8669bbe SHA512 3639376c1a9fe2a09156d6abb9d912e582438bf13c90cf4330f0eb0af3068690f82d1ee5f786cbe66b74267cc852fd487f39644140964b3793a27c427e1a88a3
diff --git a/kde-apps/kcontacts/kcontacts-17.12.1.ebuild b/kde-apps/kcontacts/kcontacts-17.12.1.ebuild
new file mode 100644
index 00000000000..620bf281c41
--- /dev/null
+++ b/kde-apps/kcontacts/kcontacts-17.12.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_TEST="true"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Address book API based on KDE Frameworks"
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kcodecs)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+"
+RDEPEND="${DEPEND}
+ !kde-apps/kdepim-l10n
+"
+
+src_prepare() {
+ kde5_src_prepare
+
+ # FIXME: Fails test because access to /dev/dri/card0 is denied
+ sed -i \
+ -e "/ecm_add_tests/ s/picturetest\.cpp //" \
+ autotests/CMakeLists.txt || die
+}
+
+src_test() {
+ mkdir -p "${HOME}/.local/share/kf5/kcontacts" || die
+ cp "${S}/src/countrytransl.map" "${HOME}/.local/share/kf5/kcontacts/" || die
+ kde5_src_test
+}